<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Moodle Docs: Credits</title>
<link rel="stylesheet" href="docstyles.css" type="TEXT/CSS" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
<h1>Credits</h1>
<blockquote>
  <h2>Overall guidance</h2>
  <blockquote>
    <p><a href="http://dougiamas.com/" target="_top">Martin Dougiamas</a> is the originator, lead developer, project manager, release manager and general teaboy for the whole Moodle project. Do you take sugar?</p>
    <p>The Moodle software package is <a href="?file=licence.html">Copyright &copy; 1999-2004, Martin Dougiamas under the GNU GPL</a>.</p>
    <p>&nbsp;</p>
  </blockquote>
  <h2>Main Developers</h2>
  <blockquote>
    <p>A special thanks from all of us goes to those who have contributed substantial and ongoing amounts of time 
    to writing Moodle code and helping it grow. These are people who &quot;get&quot; what developing Moodle is all about and without whom Moodle would be a far lesser thing:</p>
    <blockquote>
      <p>
    <strong> Eloy Lafuente (stronk7), Ray Kingdon, Williams Castillo, Petri Asikainen, Henrik Kaipe,  Zbigniew Fiedorowicz, Gustav Delius, Thomas Robb, Janne Mikkonen, Jon Papaioannou (pj), Scott Elliott, Shane Elliott, Roberto Pinna (Bobo), Mike Churchward, Petr &#352;koda (skodak), Penny Leach, Martin Langhoff</strong></p>
    </blockquote>
    <p>&nbsp;</p>
  </blockquote>
  <h2>Other  Contributors</h2>
  <blockquote>
    <p>Many other people have contributed (and are still contributing) with constructive 
    discussions, support, testing and various chunks of code and documentation. This list is long and always 
    changing, but some names include (in the order they were added): 
  </p>
    <blockquote>
      <p>
    <strong>Peter C. Taylor, Art Lader, Matt Hope, Tom Murdock, Sébastien Namèche, James Miller, Dustin 
    Rue, Holger Schadeck, Giovanni Tummarello, John Windmueller, Sean Keogh, Mitsuhiro 
    Yoshida, Greg Barnett, Mark Kimes, Mary Hunter, Russell Jungwirth, Przemyslaw Stencel,
    John "Captain" Eyre, Paula Edmiston, Howard Miller, Claudio Tavares, P. Timothy Ervin, 
    Bob Calder, Ursula Raab, David Delgado, Mad Alex, Ga&euml;tan Frenoy, Bernard Boucher, 
    Bryan Williams, Rob Butner, Koen Roggemans, David Scotson, Torsten Anderson, Eamon Costello, Hannes Gassert, Andrew Walker, Urs Hunkler.</strong></p>
    </blockquote>
    <p>Sorry if we've forgotten to include your name here - the Moodle community is large and active so this list is difficult 
    to maintain! Please email Martin and make your suggestions! :-) </p>
    <p>Thanks also to <strong>everyone</strong> of you who have 
  </p>
    <ul>
      <li>donated via the <a target="_top" href="http://moodle.org/donations">Donations 
      page</a>, 
    </li>
      <li>contributed to the <a target="_top" href="http://moodle.org/bugs">bug tracker</a>, 
      and 
    </li>
      <li>participated in the <a target="_top" href="http://moodle.org/community">Moodle 
      Community</a> </li>
    </ul>
    </blockquote>
  <p>&nbsp;</p>
  <h2>Translators</h2>
  <blockquote>
    <p>One of Moodle's strengths is the number of translations it has. Each translation takes many hours of work, as there are 
    over 1000 phrases to translate (plus hundreds of help files!). Many of the languages 
    have more than one contributor, sometimes working together and sometimes working serially. 
  </p>
    <p>Maintaining a list of all these wonderful people is too difficult, so please look at the <a target="_top" href="http://moodle.org/download/lang/">Language 
    download page</a> for names and details.</p>
    <p>The Translation Coordinator is Koen Roggemans (<a href="m&#97&#105&#108&#116&#111:tra%6es%6ca%74%69o%6e%40%6d%6f%6f%64%6c%65.org">&#116&#114a&#110&#115&#108&#97t&#105on&#64&#109o&#111&#100&#108e&#46o&#114&#103</a>).</p>
    <p>&nbsp;</p>
  </blockquote>
  <h2>Themes</h2>
  <blockquote>
    <p>Themes give Moodle sites some colour and life. Here are all the themes carried 
    as part of the Moodle distribution, along with their authors: 
  </p>
    <ul>
      <li><b>cornflower</b>, by Thomas Murdock, <a target="_top" href="http://thinkingdistance.com/">http://thinkingdistance.com/</a> 
      </li>
      <li><strong>formal_white</strong>, by Andrea Bicciolo, <a target="_top" href="http://www.mediatouch.it/">http://www.mediatouch.it/</a>
      </li>
      <li><b>metal</b>, by A. Chavan, updated for Moodle 1.5 by Martin Dougiamas 
      </li>
      <li><b>oceanblue</b>, by Mitsuhiro Yoshida, <a target="_top" href="http://mitstek.com">http://mitstek.com</a> 
      </li>
      <li><b>orangewhite, orangewhitepda</b>, by Urs Hunkler, <a target="_top" href="http://unodo.de">http://unodo.de</a>
      </li>
      <li><b>standard and all standard* themes</b>, by Martin Dougiamas 
      </li>
      <li><b>wood</b>, by Eloy Lafuente (stronk7) 
      </li>
    </ul>
    <p>&nbsp;</p>
  </blockquote>
  <h2>Moodle libraries</h2>
  <blockquote>
    <p>Some of Moodle's libraries were written by other people, and are being redistributed 
    as part of Moodle under their respective open source licenses that thankfully 
    allow us to do so. My thanks go out to the authors of all these excellent 
    products - without them Moodle would be missing important functionality. Copyright 
    information for each package is included below:</p>
    
    <p><b>ADOdb &nbsp; </b>- &nbsp;lib/adodb</p>
    <blockquote>
      <p>Database abstraction library for MySQL, PostgreSQL, MSSQL, Oracle, Interbase, 
      Foxpro, Access, ADO, Sybase, DB2 and ODBC.</p>
      <p>Version: 4.71<br />
      Copyright &copy; 2000-2006 John Lim (jlim@natsoft.com.my)<br />
      License: Dual LGPL and BSD-style<br />
      URL: &nbsp;<a href="http://adodb.sourceforge.net" target="newpage">http://adodb.sourceforge.net</a>
    </p>
    </blockquote>

    <p><b>FPDF Class</b> &nbsp; - &nbsp;lib/fpdf</p>
    <blockquote>
      <p>Class to generate PDF files</p>
      <p>Version: 1.53<br />
      Copyright Olivier PLATHEY
      License: Freeware
      </p>
    </blockquote>
    
    <p><b>Graph Class</b> &nbsp; - &nbsp;lib/graphlib.php </p>
    <blockquote>
      <p>Class to draw line, point, bar, and area graphs, including numeric x-axis 
      and double y-axis.</p>
      <p> Version: 1.6.3 (with modifications)<br />
      Copyright &copy;&nbsp;2000&nbsp; Herman Veluwenkamp,&nbsp;hermanV@mindless.com<br />
      License: LGPL
      </p>
    </blockquote>

    <p><b>html2text</b> &nbsp; - &nbsp;lib/html2text.php</p>
    <blockquote>
      <p>PHP script to convert HTML into an approximate text equivalent</p>
      <p> Version: 1.0 (with modifications)<br />
      Copyright &copy;&nbsp;2002&nbsp; Mark Wilton-Jones<br />
      License: <a href="http://www.howtocreate.co.uk/jslibs/termsOfUse.html">HowToCreate script license</a> with written permission<br />
        URL: <a href="http://www.howtocreate.co.uk/php/">http://www.howtocreate.co.uk/php/</a><br />
      </p>
    </blockquote>

    <p><b>htmlArea</b> &nbsp; - &nbsp;lib/editor</p>
    <blockquote>
      <p>Javascript/HTML script to put a GUI editor in textareas on Internet Explorer and Mozilla</p>
      <p> Version: 3.0 beta (with modifications)<br />
      Copyright &copy;&nbsp;2002&nbsp; <a href="http://interactivetools.com">interactivetools.com</a>, inc.<br />
      License: htmlArea License (based on BSD license)<br />
      </p>
    </blockquote>

    <p><b>IP-Atlas</b>&nbsp; - &nbsp; lib/ipatlas</p>
    <blockquote>
      <p>PHP scripts to show the location of an IP address on a map.<br />
    <br />
    Version: 1.0 (with modifications)<br />
    Copyright &copy; 2002 &nbsp; Ivan Kozik<br />
    License: GNU GPL<br />
    URL: <a href="http://www.xpenguin.com/ip-atlas.php" target="newpage">http://www.xpenguin.com/ip-atlas.php</a>
    </p>
    </blockquote>

    <p><b>kses</b> &nbsp; - &nbsp;lib/kses.php</p>
    <blockquote>
      <p>HTML/XHTML filter that only allows some elements and attributes</p>
      <p>Version: 0.2.2<br />
      Copyright &copy;&nbsp;2002, 2003, 2005 &nbsp; Ulf Harnhammar <br />
      License: GNU GPL<br />
      URL: <a href="http://sourceforge.net/projects/kses" target="newpage">http://sourceforge.net/projects/kses</a>
      </p>
    </blockquote>

    <p><b>mimeTeX</b>&nbsp; - &nbsp; filter/tex</p>
    <blockquote>
      <p>Compiled C program to convert TeX into GIFs<br />
    <br />
    Version: 1.4 <br />
    Copyright &copy; 2002-2004 &nbsp; John Forkosh Associates, Inc<br />
    License: GNU GPL<br />
    URL: <a href="http://www.forkosh.com/mimetex.html">http://www.forkosh.com/mimetex.html</a><br />
    URL: <a href="http://moodle.org/download/mimetex">http://moodle.org/download/mimetex</a>
    </p>
    </blockquote>

    <p><b>mp3player</b>&nbsp; - &nbsp; lib/mp3player</p>
    <blockquote>
      <p>Flash movie to play streaming MP3s<br />
    <br />
    Copyright &copy; 2005 &nbsp; Andrew Walker<br />
    License: GNU GPL</p>
    </blockquote>

    <p><b>overlibmws</b>&nbsp; - &nbsp; lib/overlib.js</p>
    <blockquote>
      <p>Javascript library to enable DHTML popups, floating windows, events etc<br />
    <br />
    Version: July 2004<br />
    Copyright &copy; 2002-2004 &nbsp; Foteos Macrides<br />
    Copyright &copy; 1998-2004 &nbsp; Erik Bosrup<br />
    License: Artistic Open Source License<br />
    URL: <a href="http://www.macridesweb.com/oltest/">http://www.macridesweb.com/oltest/</a>
    </p>
    </blockquote>

    <p><b>PclZip</b>&nbsp; - &nbsp; lib/pclzip</p>
    <blockquote>
      <p>Class to create, manage and unpack zip files.<br />
    <br />
    Version: 2.4<br />
    Copyright &copy; 2004 &nbsp;Vincent Blavet &lt;vincent@phpconcept.net&gt;<br />
    License: GNU GPL<br />
    URL: <a href="http://www.phpconcept.net" target="newpage">http://www.phpconcept.net</a><br />
    </p>
    </blockquote>
    
    <p><b>PHP mailer</b> &nbsp; - &nbsp;lib/class.phpmailer.php</p>
    <blockquote>
      <p>Class for sending email using either sendmail, PHP mail(), or SMTP.&nbsp; 
    Methods are based upon the standard AspEmail(tm) classes.<br />
    <br />
    Version 1.71,<br />
    Copyright &copy; 2003 Brent R. Matzelle &lt;bmatzelle@yahoo.com&gt;<br />
    License: LGPL<br />
    URL: &nbsp; <a href="http://phpmailer.sourceforge.net" target="newpage">http://phpmailer.sourceforge.net</a><br />
  </p>
    </blockquote>
    
    <p><b>PHP Markdown</b> &nbsp; - &nbsp;lib/markdown.php </p>
    <blockquote>
      <p>Functions to convert from the Markdown text format into clean XHTML.</p>
      <p> Version: 1.0b9 (with modifications)<br />
      Copyright &copy;&nbsp;2003-2004&nbsp;,&nbsp;John Gruber<br />
      Copyright &copy;&nbsp;2004&nbsp;,&nbsp;Michel Fortin<br />
      License: LGPL<br />
      URL: <a href="http://www.michelf.com/projects/php-markdown/" target="newpage">http://www.michelf.com/projects/php-markdown/</a><br />
      </p>
    </blockquote>
    
    <p><b>Snoopy</b>&nbsp; - &nbsp; lib/snoopy</p>
    <blockquote>
      <p>A PHP net client<br />
    <br />
    Version: 1.2<br />
    Copyright &copy; 1999-2000&nbsp;Monte Ohrt &lt;monte@ispi.net&gt;<br />
    License: GNU LGPL<br />
    URL: <a href="http://snoopy.sourceforge.com">http://snoopy.sourceforge.net/</a><br />
  </p>
    </blockquote>
    
    <p><b>Spreadsheet::WriteExcel</b>&nbsp; - &nbsp; lib/excel</p>
    <blockquote>
      <p>A library for generating Excel Spreadsheets.<br />
    <br />
    Version: 2002-11-28<br />
    Copyright &copy; 2002 &nbsp;Xavier Noguer &lt;xnoguer@rezebra.com&gt;<br />
    License: GNU LGPL<br />
    URL: <a href="http://jeffn.users.phpclasses.org/browse.html/package/767.html" target="newpage">http://jeffn.users.phpclasses.org/browse.html/package/767.html</a><br />
  </p>
    </blockquote>
    
    <p><b>SMTP class &nbsp; </b>- &nbsp;lib/class.smtp.php</p>
    <blockquote>
      <p>Class that can be used to connect and communicate with any SMTP 
    server. <br />
    It implements all the SMTP functions defined in RFC821 except TURN.<br />
    <br />
    Version: 03/26/2001 <br />
    Copyright &copy; 2001 &nbsp;Chris Ryan &lt;chris@greatbridge.com&gt;<br />
  </p>
    </blockquote>
    
    <p><b>Typo3 Character Set Class</b>&nbsp; - &nbsp; lib/typo3</p>
    <blockquote>
      <p>Class for conversion between charsets and multibyte-savy operations
        with strings.<br />
    <br />
    CVS version: 1.54<br />
    Copyright &copy; 2003-2005&nbsp;Kasper Skaarhoj<br />
    License: GNU GPL<br />
    URL: <a href="http://typo3.org/">http://typo3.org/</a><br />
  </p>
    </blockquote>

    <p><b>HTML Purifier</b>&nbsp; - &nbsp; lib/htmlpurifier</p>
    <blockquote>
      <p>Standards-compliant HTML filter library.<br />
    <br />
    CVS version: 1.60<br />
    Copyright (C) 2006 Edward Z. Yang<br />
    License: GNU LGPL<br />
    URL: <a href="http://hp.jpsband.org/">http://hp.jpsband.org/</a><br />
  </p>
    </blockquote>
    
  </blockquote>
  <p align="center"><font size="1"><a href="." target="_top">Moodle Documentation</a></font></p>
  <p align="center"><font size="1">Version: $Id$</font></p>
  </blockquote>
</body>
</html>
